Name: owb
Version: 1.0
Release: alt3.r241

Summary: an open-source web browser for Consumers Electronic devices
License: BSD/LGPL/APSL
Group: Networking/WWW

Url: http://www.sand-labs.org/owb
#Source0: http://www.sand-labs.org/downloads/sources/OWB_sources.tar.bz2
#Source0: http://www.sand-labs.org/downloads/sources/owb-1.0.tar.bz2
# svn co http://www.sand-labs.org/svn/trunk
Source0: OWB_20080325.tar
Source1: owb.desktop
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Thu Apr 10 2008
BuildRequires: ccmake chrpath flex fontconfig-devel gcc-c++ gperf libSDL-devel libSDL_gfx-devel libcurl-devel libfreetype-devel libicu-devel libxslt-devel

BuildRequires: fonts-ttf-dejavu

# font macros
BuildRequires: rpm-build-fonts

# fonts: currently owb requires default font in fixed
# location; seems easier to provide at build time
#define owb_ttf %_fontsdir/default/TrueType-vera/Vera.ttf
%define owb_ttf %_fontsdir/ttf/dejavu/DejaVuSans.ttf

%define owb_dir %_libdir/%name
%define owb_libs libbal.so libjscore.so libwebcore-owb.so

%add_findprov_lib_path %_libdir/%name

%description
OWB (Origyn Web Browser) is a WebKit (KHTML/KJS) based browser
for embedded devices; this build targets Linux/SDL/X11.

The desktop version is beta quality, don't expect too much
from it [yet].

%prep
%setup -q -n trunk
#setup -q

%build
cmake .
make owb
chrpath -k -r %owb_dir %owb_libs %name ||:

%install
install -d  -m755 %buildroot%owb_dir/
install -p  -m644 %owb_libs %buildroot%owb_dir/
install -pD -m755 %name %buildroot%_bindir/%name
install -pD -m644 %owb_ttf %buildroot%_fontsdir/owb.ttf
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%owb_dir/
%_fontsdir/owb.ttf
%_desktopdir/%name.desktop
%doc README 

%changelog
* Wed Apr 09 2008 Michael Shigorin <mike@altlinux.org> 1.0-alt3.r241
- r241 (2008-03-25)

* Wed Apr 09 2008 Michael Shigorin <mike@altlinux.org> 1.0-alt2
- fix build

* Sun Feb 10 2008 Michael Shigorin <mike@altlinux.org> 1.0-alt1
- 1.0 (20071121)
  + see also owb --help

* Mon Nov 12 2007 Michael Shigorin <mike@altlinux.org> 0-alt3.20071111
- svn revision 143 => less stable

* Mon Nov 12 2007 Michael Shigorin <mike@altlinux.org> 0-alt2.20070720
- added library path for Provides: detection so it would install on x86_64
  (thanks avm@, boyarsh@)

* Sun Nov 11 2007 Michael Shigorin <mike@altlinux.org> 0-alt1.20070720
- build only browser, we don't need [mislinked] tests
- refined spec, result should at least be usable now
- replaced Vera with DejaVu for better Unicode support
  (thanks vsu@ for a hint that led to particular choice)

* Tue Oct 09 2007 Michael Shigorin <mike@altlinux.org> 0-alt1.20070720
- built for ALT Linux

